### Constructor

# Gtk Image new_from_gicon

#### Declaration [src]

    GtkWidget*
    gtk_image_new_from_gicon (
      GIcon* icon
    )

#### Description [src]

Creates a `GtkImage` displaying an icon from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead. If the current icon theme is changed, the icon will be updated appropriately.

#### Parameters

`icon` | `GIcon*`
| An icon.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkImage` displaying the themed icon.
| The data is owned by the called function.